Bug 580919 - Dashboard "portlets" show ambiguous resource names
Summary: Dashboard "portlets" show ambiguous resource names
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-naming
TreeView+ depends on / blocked
 
Reported: 2010-04-09 13:31 UTC by Lukas Krejci
Modified: 2010-08-12 16:52 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-12 16:52:49 UTC


Attachments (Terms of Use)

Description Lukas Krejci 2010-04-09 13:31:41 UTC
Description of problem:

The "Auto-Discovery" portlet as well as the "Recently Added Resources" portlet do not use resource name disambiguation and don't show the resource type which can lead to confusing resource names listed.

How reproducible:

always, with resources named by a hostname:port stanza, etc.

Steps to Reproduce:
1. Go to dashboard
2. Notice the names in the above mentioned portlets
  
Actual results:

The names are either ambiguous or at least not very meaningful.

Expected results:

The names disambiguated and resource type name present for the names to make sense.

Comment 1 Lukas Krejci 2010-05-31 15:38:32 UTC
Fix is placed in ui-updates branch for now before we finalize the L&F of it.

Comment 2 Sudhir D 2010-06-13 14:28:05 UTC
I have verified this against the build# 210. I can see that now, the platform name is included in front of resource as below, 
Linux dhcp6-150.pnq.redhat.com-embedded

This make more sense now. 

Marking this bug as verified.

Comment 3 Corey Welton 2010-08-12 16:52:49 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.